<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/heap.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">heap.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdbool.h&gt;</code><br />
</div>
<p><a href="heap_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_heap.html">Heap</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a7085c62c43230e23f6fa23eed518061e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#a7085c62c43230e23f6fa23eed518061e">HEAP_MAX_SIZE</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a7085c62c43230e23f6fa23eed518061e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab43d0eafaa5ff8ac2dba0657750fdf4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#ab43d0eafaa5ff8ac2dba0657750fdf4c">init_heap</a> (<a class="el" href="struct_heap.html">Heap</a> *h)</td></tr>
<tr class="separator:ab43d0eafaa5ff8ac2dba0657750fdf4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85f425d55995d4bfe7d42a8317fcbedc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#a85f425d55995d4bfe7d42a8317fcbedc">is_heap_empty</a> (<a class="el" href="struct_heap.html">Heap</a> *h)</td></tr>
<tr class="separator:a85f425d55995d4bfe7d42a8317fcbedc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a962611a81a4cd5a8b824c1a271f75a3e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#a962611a81a4cd5a8b824c1a271f75a3e">pop</a> (<a class="el" href="struct_heap.html">Heap</a> *h)</td></tr>
<tr class="separator:a962611a81a4cd5a8b824c1a271f75a3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7394afbcf1f644c42ed4f381344e0c89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#a7394afbcf1f644c42ed4f381344e0c89">push</a> (<a class="el" href="struct_heap.html">Heap</a> *h, float value)</td></tr>
<tr class="separator:a7394afbcf1f644c42ed4f381344e0c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54c0ba5c00a105a220a161ec717208a7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#a54c0ba5c00a105a220a161ec717208a7">replace</a> (<a class="el" href="struct_heap.html">Heap</a> *h, float value)</td></tr>
<tr class="separator:a54c0ba5c00a105a220a161ec717208a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af684013e1c65b2beb9c21efef6baf505"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="heap_8h.html#af684013e1c65b2beb9c21efef6baf505">peek</a> (<a class="el" href="struct_heap.html">Heap</a> *h)</td></tr>
<tr class="separator:af684013e1c65b2beb9c21efef6baf505"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a7085c62c43230e23f6fa23eed518061e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7085c62c43230e23f6fa23eed518061e">&#9670;&nbsp;</a></span>HEAP_MAX_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HEAP_MAX_SIZE&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab43d0eafaa5ff8ac2dba0657750fdf4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab43d0eafaa5ff8ac2dba0657750fdf4c">&#9670;&nbsp;</a></span>init_heap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_heap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85f425d55995d4bfe7d42a8317fcbedc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85f425d55995d4bfe7d42a8317fcbedc">&#9670;&nbsp;</a></span>is_heap_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_heap_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af684013e1c65b2beb9c21efef6baf505"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af684013e1c65b2beb9c21efef6baf505">&#9670;&nbsp;</a></span>peek()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float peek </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a962611a81a4cd5a8b824c1a271f75a3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a962611a81a4cd5a8b824c1a271f75a3e">&#9670;&nbsp;</a></span>pop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float pop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7394afbcf1f644c42ed4f381344e0c89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7394afbcf1f644c42ed4f381344e0c89">&#9670;&nbsp;</a></span>push()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void push </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54c0ba5c00a105a220a161ec717208a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54c0ba5c00a105a220a161ec717208a7">&#9670;&nbsp;</a></span>replace()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float replace </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_heap.html">Heap</a> *&#160;</td>
          <td class="paramname"><em>h</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
